<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Package org.apache.nutch.crawl (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.nutch.crawl (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package org.apache.nutch.crawl" class="title">Uses of Package<br>org.apache.nutch.crawl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.analysis.lang">org.apache.nutch.analysis.lang</a></td>
<td class="colLast">
<div class="block">Text document language identifier.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.any23">org.apache.nutch.any23</a></td>
<td class="colLast">
<div class="block">This packages uses the <a href="https://any23.apache.org/">Apache Any23</a> library
 for parsing and extracting structured data in RDF format from a
 variety of Web documents.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.crawl">org.apache.nutch.crawl</a></td>
<td class="colLast">
<div class="block">Crawl control code and tools to run the crawler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.fetcher">org.apache.nutch.fetcher</a></td>
<td class="colLast">
<div class="block">The Nutch robot.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.hostdb">org.apache.nutch.hostdb</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer">org.apache.nutch.indexer</a></td>
<td class="colLast">
<div class="block">Index content, configure and run indexing and cleaning jobs to 
add, update, and delete documents from an index.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.anchor">org.apache.nutch.indexer.anchor</a></td>
<td class="colLast">
<div class="block">An indexing plugin for inbound anchor text.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.basic">org.apache.nutch.indexer.basic</a></td>
<td class="colLast">
<div class="block">A basic indexing plugin, adds basic fields: url, host, title, content, etc.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.feed">org.apache.nutch.indexer.feed</a></td>
<td class="colLast">
<div class="block">Indexing filter to index meta data from RSS feeds.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.filter">org.apache.nutch.indexer.filter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.geoip">org.apache.nutch.indexer.geoip</a></td>
<td class="colLast">
<div class="block">This plugin implements an indexing filter which takes 
 advantage of the 
 <a href="https://github.com/maxmind/GeoIP2-java">GeoIP2-java API</a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.jexl">org.apache.nutch.indexer.jexl</a></td>
<td class="colLast">
<div class="block">This plugin implements a dynamic indexing filter which uses JEXL 
 expressions to allow filtering based on the page's metadata</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.links">org.apache.nutch.indexer.links</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.metadata">org.apache.nutch.indexer.metadata</a></td>
<td class="colLast">
<div class="block">Indexing filter to add document metadata to the index.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.more">org.apache.nutch.indexer.more</a></td>
<td class="colLast">
<div class="block">A more indexing plugin, adds "more" index fields:
last modified date, MIME type, content length.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.replace">org.apache.nutch.indexer.replace</a></td>
<td class="colLast">
<div class="block">Indexing filter to allow pattern replacements on metadata.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.staticfield">org.apache.nutch.indexer.staticfield</a></td>
<td class="colLast">
<div class="block">A simple plugin called at indexing that adds fields with static data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.subcollection">org.apache.nutch.indexer.subcollection</a></td>
<td class="colLast">
<div class="block">Indexing filter to assign documents to subcollections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.tld">org.apache.nutch.indexer.tld</a></td>
<td class="colLast">
<div class="block">Top Level Domain Indexing plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer.urlmeta">org.apache.nutch.indexer.urlmeta</a></td>
<td class="colLast">
<div class="block">
      URL Meta Tag Indexing Plugin</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.metadata">org.apache.nutch.metadata</a></td>
<td class="colLast">
<div class="block">A Multi-valued Metadata container, and set
of constant fields for Nutch Metadata.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.microformats.reltag">org.apache.nutch.microformats.reltag</a></td>
<td class="colLast">
<div class="block">
A microformats <a href="http://www.microformats.org/wiki/Rel-Tag">Rel-Tag</a>
Parser/Indexer/Querier plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.protocol">org.apache.nutch.net.urlnormalizer.protocol</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.slash">org.apache.nutch.net.urlnormalizer.slash</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol">org.apache.nutch.protocol</a></td>
<td class="colLast">
<div class="block">Classes related to the <a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol"><code>Protocol</code></a> interface,
 see also <a href="../../../../org/apache/nutch/net/protocols/package-summary.html"><code>org.apache.nutch.net.protocols</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.file">org.apache.nutch.protocol.file</a></td>
<td class="colLast">
<div class="block">Protocol plugin which supports retrieving local file resources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.ftp">org.apache.nutch.protocol.ftp</a></td>
<td class="colLast">
<div class="block">Protocol plugin which supports retrieving documents via the ftp protocol.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.htmlunit">org.apache.nutch.protocol.htmlunit</a></td>
<td class="colLast">
<div class="block">Protocol plugin which supports retrieving documents via the http protocol.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.http.api">org.apache.nutch.protocol.http.api</a></td>
<td class="colLast">
<div class="block">Common API used by HTTP plugins (<a href="../../../../org/apache/nutch/protocol/http/package-summary.html"><code>http</code></a>,
<a href="../../../../org/apache/nutch/protocol/httpclient/package-summary.html"><code>httpclient</code></a>)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.protocol.okhttp">org.apache.nutch.protocol.okhttp</a></td>
<td class="colLast">
<div class="block">Protocol plugin based on <a href="https://github.com/square/okhttp">okhttp</a>, supports http, https, http/2.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring">org.apache.nutch.scoring</a></td>
<td class="colLast">
<div class="block">The <a href="../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring"><code>ScoringFilter</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.depth">org.apache.nutch.scoring.depth</a></td>
<td class="colLast">
<div class="block">Scoring filter to stop crawling at a configurable depth
 (number of "hops" from seed URLs).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.link">org.apache.nutch.scoring.link</a></td>
<td class="colLast">
<div class="block">Scoring filter used in conjunction with
 <a href="../../../../org/apache/nutch/scoring/webgraph/WebGraph.html" title="class in org.apache.nutch.scoring.webgraph"><code>WebGraph</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.opic">org.apache.nutch.scoring.opic</a></td>
<td class="colLast">
<div class="block">Scoring filter implementing a variant of the Online Page Importance Computation
 (OPIC) algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.orphan">org.apache.nutch.scoring.orphan</a></td>
<td class="colLast">
<div class="block">Scoring filter to modify score or status of orphaned pages (no inlinks found
 for a configurable amount of time).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.similarity">org.apache.nutch.scoring.similarity</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.similarity.cosine">org.apache.nutch.scoring.similarity.cosine</a></td>
<td class="colLast">
<div class="block">Implements the cosine similarity metric for scoring relevant documents</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.tld">org.apache.nutch.scoring.tld</a></td>
<td class="colLast">
<div class="block">Top Level Domain Scoring plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.urlmeta">org.apache.nutch.scoring.urlmeta</a></td>
<td class="colLast">
<div class="block">
      URL Meta Tag Scoring Plugin</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.webgraph">org.apache.nutch.scoring.webgraph</a></td>
<td class="colLast">
<div class="block">Scoring implementation based on link analysis
 (<a href="../../../../org/apache/nutch/scoring/webgraph/LinkRank.html" title="class in org.apache.nutch.scoring.webgraph"><code>LinkRank</code></a>),
 see <a href="../../../../org/apache/nutch/scoring/webgraph/WebGraph.html" title="class in org.apache.nutch.scoring.webgraph"><code>WebGraph</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.segment">org.apache.nutch.segment</a></td>
<td class="colLast">
<div class="block">A segment stores all data from on generate/fetch/update cycle:
 fetch list, protocol status, raw content, parsed content, and extracted outgoing links.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.tools">org.apache.nutch.tools</a></td>
<td class="colLast">
<div class="block">Miscellaneous tools.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.tools.warc">org.apache.nutch.tools.warc</a></td>
<td class="colLast">
<div class="block">Tools to import / export between Nutch segments and
 <a href="http://bibnum.bnf.fr/warc/WARC_ISO_28500_version1_latestdraft.pdf">
 WARC archives</a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.util">org.apache.nutch.util</a></td>
<td class="colLast">
<div class="block">Miscellaneous utility classes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.creativecommons.nutch">org.creativecommons.nutch</a></td>
<td class="colLast">
<div class="block">Sample plugins that parse and index Creative Commons medadata.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.analysis.lang">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/analysis/lang/package-summary.html">org.apache.nutch.analysis.lang</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.analysis.lang">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.analysis.lang">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.any23">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/any23/package-summary.html">org.apache.nutch.any23</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.any23">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.any23">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.crawl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/AbstractFetchSchedule.html#org.apache.nutch.crawl">AbstractFetchSchedule</a>
<div class="block">This class provides common methods for implementations of
 <code>FetchSchedule</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/AdaptiveFetchSchedule.html#org.apache.nutch.crawl">AdaptiveFetchSchedule</a>
<div class="block">This class implements an adaptive re-fetch algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.crawl">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/FetchSchedule.html#org.apache.nutch.crawl">FetchSchedule</a>
<div class="block">This interface defines the contract for implementations that manipulate fetch
 times and re-fetch intervals.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Generator.SelectorEntry.html#org.apache.nutch.crawl">Generator.SelectorEntry</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlink.html#org.apache.nutch.crawl">Inlink</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.crawl">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.crawl">NutchWritable</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Signature.html#org.apache.nutch.crawl">Signature</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.fetcher">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/fetcher/package-summary.html">org.apache.nutch.fetcher</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.fetcher">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.fetcher">NutchWritable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.hostdb">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/hostdb/package-summary.html">org.apache.nutch.hostdb</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.hostdb">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.hostdb">NutchWritable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.indexer">NutchWritable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.anchor">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/anchor/package-summary.html">org.apache.nutch.indexer.anchor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.anchor">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.anchor">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.basic">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/basic/package-summary.html">org.apache.nutch.indexer.basic</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.basic">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.basic">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.feed">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/feed/package-summary.html">org.apache.nutch.indexer.feed</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.feed">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.feed">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.filter">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/filter/package-summary.html">org.apache.nutch.indexer.filter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.filter">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.filter">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.geoip">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/geoip/package-summary.html">org.apache.nutch.indexer.geoip</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.geoip">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.geoip">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.jexl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/jexl/package-summary.html">org.apache.nutch.indexer.jexl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.jexl">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.jexl">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.links">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/links/package-summary.html">org.apache.nutch.indexer.links</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.links">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.links">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.metadata">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/metadata/package-summary.html">org.apache.nutch.indexer.metadata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.metadata">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.metadata">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.more">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/more/package-summary.html">org.apache.nutch.indexer.more</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.more">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.more">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.replace">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/replace/package-summary.html">org.apache.nutch.indexer.replace</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.replace">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.replace">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.staticfield">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/staticfield/package-summary.html">org.apache.nutch.indexer.staticfield</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.staticfield">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.staticfield">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.subcollection">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/subcollection/package-summary.html">org.apache.nutch.indexer.subcollection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.subcollection">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.subcollection">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.tld">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/tld/package-summary.html">org.apache.nutch.indexer.tld</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.tld">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.tld">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer.urlmeta">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/indexer/urlmeta/package-summary.html">org.apache.nutch.indexer.urlmeta</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.indexer.urlmeta">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.indexer.urlmeta">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.metadata">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/metadata/package-summary.html">org.apache.nutch.metadata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.metadata">NutchWritable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.microformats.reltag">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/microformats/reltag/package-summary.html">org.apache.nutch.microformats.reltag</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.microformats.reltag">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.microformats.reltag">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.protocol">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/protocol/package-summary.html">org.apache.nutch.net.urlnormalizer.protocol</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.net.urlnormalizer.protocol">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.slash">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/slash/package-summary.html">org.apache.nutch.net.urlnormalizer.slash</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.net.urlnormalizer.slash">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/protocol/package-summary.html">org.apache.nutch.protocol</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.protocol">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.file">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/protocol/file/package-summary.html">org.apache.nutch.protocol.file</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.protocol.file">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.ftp">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/protocol/ftp/package-summary.html">org.apache.nutch.protocol.ftp</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.protocol.ftp">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.htmlunit">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/protocol/htmlunit/package-summary.html">org.apache.nutch.protocol.htmlunit</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.protocol.htmlunit">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.http.api">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/protocol/http/api/package-summary.html">org.apache.nutch.protocol.http.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.protocol.http.api">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.protocol.okhttp">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/protocol/okhttp/package-summary.html">org.apache.nutch.protocol.okhttp</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.protocol.okhttp">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.scoring">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.depth">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/depth/package-summary.html">org.apache.nutch.scoring.depth</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.depth">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.scoring.depth">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.link">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/link/package-summary.html">org.apache.nutch.scoring.link</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.link">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.scoring.link">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.opic">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/opic/package-summary.html">org.apache.nutch.scoring.opic</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.opic">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.scoring.opic">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.orphan">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/orphan/package-summary.html">org.apache.nutch.scoring.orphan</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.orphan">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.similarity">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/similarity/package-summary.html">org.apache.nutch.scoring.similarity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.similarity">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.similarity.cosine">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/similarity/cosine/package-summary.html">org.apache.nutch.scoring.similarity.cosine</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.similarity.cosine">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.tld">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/tld/package-summary.html">org.apache.nutch.scoring.tld</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.tld">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.scoring.tld">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.urlmeta">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/urlmeta/package-summary.html">org.apache.nutch.scoring.urlmeta</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.scoring.urlmeta">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.apache.nutch.scoring.urlmeta">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.webgraph">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/scoring/webgraph/package-summary.html">org.apache.nutch.scoring.webgraph</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.scoring.webgraph">NutchWritable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.segment">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/segment/package-summary.html">org.apache.nutch.segment</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.segment">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.segment">NutchWritable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.tools">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/tools/package-summary.html">org.apache.nutch.tools</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Generator.SelectorEntry.html#org.apache.nutch.tools">Generator.SelectorEntry</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.tools.warc">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/tools/warc/package-summary.html">org.apache.nutch.tools.warc</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/NutchWritable.html#org.apache.nutch.tools.warc">NutchWritable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.util">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/apache/nutch/util/package-summary.html">org.apache.nutch.util</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.apache.nutch.util">CrawlDatum</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.creativecommons.nutch">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/crawl/package-summary.html">org.apache.nutch.crawl</a> used by <a href="../../../../org/creativecommons/nutch/package-summary.html">org.creativecommons.nutch</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/CrawlDatum.html#org.creativecommons.nutch">CrawlDatum</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/crawl/class-use/Inlinks.html#org.creativecommons.nutch">Inlinks</a>
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
